package com.hfkj.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 加油站 班组任务数据统计模型
 * @author hurui
 */
public class GasClassGroupTaskDataCount {

    /**
     * 班次
     */
    private Integer classNum;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 班次状态
     */
    private Integer status;

    /**
     * 加油总金额
     */
    private BigDecimal refuelPrice;

    /**
     * 加油总笔数
     */
    private Integer refuelNum;

    /**
     * 加油总升数
     */
    private BigDecimal refuelLiters;

    /**
     * 退款总金额
     */
    private BigDecimal refundPrice;

    /**
     * 退款总笔数
     */
    private Integer refundNum;

    /**
     * 退款总升数
     */
    private BigDecimal refundLiters;

    /**
     * 班组油品数据统计
     */
    List<GasClassGroupTaskOilCount> groupTaskOilCountList;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getClassNum() {
        return classNum;
    }

    public void setClassNum(Integer classNum) {
        this.classNum = classNum;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public BigDecimal getRefuelPrice() {
        return refuelPrice;
    }

    public void setRefuelPrice(BigDecimal refuelPrice) {
        this.refuelPrice = refuelPrice;
    }

    public Integer getRefuelNum() {
        return refuelNum;
    }

    public void setRefuelNum(Integer refuelNum) {
        this.refuelNum = refuelNum;
    }

    public BigDecimal getRefuelLiters() {
        return refuelLiters;
    }

    public void setRefuelLiters(BigDecimal refuelLiters) {
        this.refuelLiters = refuelLiters;
    }

    public BigDecimal getRefundPrice() {
        return refundPrice;
    }

    public void setRefundPrice(BigDecimal refundPrice) {
        this.refundPrice = refundPrice;
    }

    public Integer getRefundNum() {
        return refundNum;
    }

    public void setRefundNum(Integer refundNum) {
        this.refundNum = refundNum;
    }

    public BigDecimal getRefundLiters() {
        return refundLiters;
    }

    public void setRefundLiters(BigDecimal refundLiters) {
        this.refundLiters = refundLiters;
    }

    public List<GasClassGroupTaskOilCount> getGroupTaskOilCountList() {
        return groupTaskOilCountList;
    }

    public void setGroupTaskOilCountList(List<GasClassGroupTaskOilCount> groupTaskOilCountList) {
        this.groupTaskOilCountList = groupTaskOilCountList;
    }
}
